Skip to main content
`Ctrl`+`K`

# PCFieldSplitSetBlockSize

Sets the block size for defining where fields start in the fieldsplit preconditioner when calling `PCFieldSplitSetFields()`. If not set the matrix block size is used.

## Synopsis

    #include "petscpc.h"
    PetscErrorCode PCFieldSplitSetBlockSize(PC pc, PetscInt bs)

Logically Collective

## Input Parameters

- pc - the preconditioner context

- bs - the block size

## Note

If the matrix is a `MATNEST` then the `is_rows[]` passed to `MatCreateNest()` determines the fields.

## See Also

Solving Block Matrices with PCFIELDSPLIT, `PC`, `PCFieldSplitGetSubKSP()`, `PCFIELDSPLIT`, `PCFieldSplitSetFields()`, `PCFieldSplitSetIS()`

## Level

intermediate

## Location

src/ksp/pc/impls/fieldsplit/fieldsplit.c

## Examples

src/ksp/ksp/tutorials/ex70.c
src/ksp/ksp/tutorials/ex42.c
src/ksp/ksp/tutorials/ex43.c

## Implementations

PCFieldSplitSetBlockSize_FieldSplit() in src/ksp/pc/impls/fieldsplit/fieldsplit.c

Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages